%global momorel 4
%global md5sum_src0 84396a3dd75337caaae29d8fa5616fb1
%global md5sum_src1 2fbcae1323c266edf5b6c61751f2e343
%global md5sum_src2 68f2a143716c23b566f8509d9498f516
%global md5sum_src3 b98ae2d8b21c545b7b322d0b302efefa
%global md5sum_src4 2b53542095a35a8a5731164118643883

Summary: X.Org X11 xkb utilities
Name: xorg-x11-xkb-utils
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: MIT/X
Group: User Interface/X
URL: http://www.x.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%define xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/app/xkbutils-1.0.1.tar.bz2 %{md5sum_src0}
%NoSource 1 %{xorgurl}/app/xkbcomp-1.0.3.tar.bz2 %{md5sum_src1}
%NoSource 2 %{xorgurl}/app/xkbevd-1.0.2.tar.bz2 %{md5sum_src2}
%NoSource 3 %{xorgurl}/app/xkbprint-1.0.1.tar.bz2 %{md5sum_src3}
%NoSource 4 %{xorgurl}/app/setxkbmap-1.0.3.tar.bz2 %{md5sum_src4}

BuildRequires: pkgconfig
# libxkbfile-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libxkbfile-devel
# libX11-devel needed for setxkbmap, xkbcomp, xkbevd, xkbprint
BuildRequires: libX11-devel
# libXaw-devel needed for xkbutils
BuildRequires: libXaw-devel
# libXt-devel needed for xkbutils
BuildRequires: libXt-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXext
# libXext-devel needed for xkbutils (from above error)
BuildRequires: libXext-devel
# FIXME: xkbvleds requires libXext, but autotools doesn't check/require it:
# gcc  -O2 -g -march=i386 -mcpu=i686   -o xkbvleds  xkbvleds-xkbvleds.o
# xkbvleds-LED.o xkbvleds-utils.o -lXaw7 -lXmu -lXt -lSM -lICE -lXext -lXpm -lX11 -ldl
# /usr/bin/ld: cannot find -lXpm
# libXpm-devel needed for xkbutils (from above error)
BuildRequires: libXpm-devel

#Provides: %{pkgname}
Provides: setxkbmap, xkbcomp, xkbevd, xkbprint, xkbutils
# NOTE: The XFree86, and xorg-x11 packages used to contain the xkb utilities
# in the previous monolithic based releases.
#Obsoletes: XFree86, xorg-x11

%description
X.Org X11 xkb utilities

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4

%build
# Build everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      %configure
      make
      popd
   done
}

%install
rm -rf --preserve-root %{buildroot}

# Install everything
{
   for pkg in xkbutils setxkbmap xkbcomp xkbevd xkbprint ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/setxkbmap
%{_bindir}/xkbbell
%{_bindir}/xkbcomp
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
# FIXME: manpages are missing for xkbbell, xkbvleds, xkbwatch.  I examined
# the monolithic packaging however, and it does not appear to have manpages
# for them either.
%{_mandir}/man1/setxkbmap.1x*
%{_mandir}/man1/xkbcomp.1x*
%{_mandir}/man1/xkbevd.1x*
%{_mandir}/man1/xkbprint.1x*

%changelog
* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-4m)
- add Provides

* Thu Nov  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-3m)
- update 
-- xkbcomp-1.0.3
-- setxkbmap-1.0.3

* Sat Apr 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-2m)
- update setxkbmap-1.0.2.tar.bz2

* Wed Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-1m)
- update Xorg-7.1RC1
-- xkbevd-1.0.2.tar.bz2
-- setxkbmap-1.0.2.tar.bz2

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- Change Source URL
- To trunk

* Thu Mar  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1.3m)
- comment out Obsolete

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all apps to version 1.0.1 from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all apps to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream default.

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Change from "Conflicts" to "Obsoletes: XFree86, xorg-x11" for upgrades.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated to xkbutils-0.99.1, setxkbmap-0.99.2, xkbcomp-0.99.1, xkbevd-0.99.2,
  xkbprint-0.99.1 from X11R7 RC2.

* Thu Nov 10 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Updated xkbutils to version 0.99.0 from X11R7 RC1.  The upstream tarball
  changed, but the version stayed the same.  <sigh>
- Updated setxkbmap, xkbcomp, xkbevd, xkbprint.
- Change manpage location to 'man1x' in file manifest.
- Iterate over packages with for loop instead of serialized code duplication.

* Wed Oct  5 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Use Fedora-Extras style BuildRoot tag.
- Update BuildRequires to use new library package names.
- Tidy up spec file a bit.

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
